<div class="row">
  <div class="col-sm-12">
    <nb-card>
      <nb-card-body>
        <div class="form-group row">
          <textarea #functionString rows="12" nbInput fullWidth shape="round" placeholder="Enter the init function and generator 
//Sample
n = 4,
---
function* combinations(pos = 0, k = 3, n = 4, index = 0, arr = []) {
  if (pos === k) {
    yield arr.slice();
    return;
  }

  for (let i = index; i < n; i++) {
    arr[pos] = i;
    combinations(pos + 1, k, n, i + 1, arr);
  }
}"></textarea>
        </div>
        <div class="form-group row">
          <button type="button" style="margin-left: 9px;" class="btn btn-primary" (click)="setFunctionInit(functionString.value)">
            Submit
          </button>
        </div>
      </nb-card-body>
    </nb-card>
  </div>
</div>
<div class="row">
    <ngx-gameboard class="col-sm-7"></ngx-gameboard>
    <ngx-animation-velocity class="col-sm-2"></ngx-animation-velocity>
    <ngx-debugger class="col-sm-3"></ngx-debugger>
</div>

